# Summary

- [Introduction](README.md)
- [About Kubernetes Goat](about.md)
- [Learning Kubernetes](kubernetes/readme.md)
- [Kubernetes Cluster Setup](kubernetes-cluster/setup.md)
  - [GKE Setup](kubernetes-cluster/gke.md)
- [Kubernetes Goat Setup](kubernetes-goat/setup.md)
- [Scenarios](scenarios/readme.md)
  - [Sensitive keys in code bases](scenarios/scenario-1.md)
  - [DIND (docker-in-docker) exploitation](scenarios/scenario-2.md)
  - [SSRF in K8S world](scenarios/scenario-3.md)
  - [Container escape to access host system](scenarios/scenario-4.md)
  - [Docker CIS Benchmarks analysis](scenarios/scenario-5.md)
  - [Kubernetes CIS Benchmarks analysis](scenarios/scenario-6.md)
  - [Attacking private registry](scenarios/scenario-7.md)
  - [NodePort exposed services](scenarios/scenario-8.md)
  - [Helm v2 tiller to PwN the cluster](scenarios/scenario-9.md)
  - [Analysing crypto miner container](scenarios/scenario-10.md)
  - [Kubernetes Namespaces bypass](scenarios/scenario-11.md)
  - [Gaining environment information](scenarios/scenario-12.md)
  - [DoS the memory/cpu resources](scenarios/scenario-13.md)
  - [Hacker Container preview](scenarios/scenario-14.md)
  - [Hidden in layers](scenarios/scenario-15.md)
  - [RBAC Least Privileges Misconfiguration](scenarios/scenario-16.md)
  - [KubeAudit - Audit Kubernetes Clusters](scenarios/scenario-17.md)
  - [Sysdig Falco - Runtime Security Monitoring & Detection](scenarios/scenario-18.md)
  - [Popeye - A Kubernetes Cluster Sanitizer](scenarios/scenario-19.md)
  - [Secure network boundaries using NSP](scenarios/scenario-20.md)
- [Tear down Kubernetes Goat](teardown.md)
- [Security Scanning Reports](reports/readme.md)
  - [KICS](reports/kics.md)
  - [Checkov](reports/checkov.md)
- [Getting Involved](getting-involved/readme.md)
